import matplotlib.pyplot as plt
import numpy as np


def visualize_alpha(alpha, savename=None, show=True):
    alpha = np.array(alpha)
    
    plt.figure()
    n = len(alpha)
    ind = np.arange(n)
    
    groups = ['Data group', 'Noise group']
    plt.bar(ind, alpha)
    plt.xticks(ind, groups)
    plt.title('Group importance with FROT')
    plt.ylabel('Group importance')

    if savename is not None:
        plt.savefig(savename)

    if show:
        plt.show()
    plt.close()
