import numpy as np
from scipy.stats import pearsonr
from sklearn.feature_selection import f_classif


class LinearCoor:
    modelname = "Linear correlation"

    def fit(self, X, Y, groups, **kargs):
        # one feature by group
        assert (np.array([len(group) for group in groups]) == 1).all()
        alldata = np.concatenate((X, Y))
        alllabel = np.concatenate((np.zeros(len(X), dtype=int),
                                   np.ones(len(Y), dtype=int)))
        distances = f_classif(alldata, alllabel)[0]
        self.distances_ = np.array(distances)
        self.groups_ = np.array(groups)
        self.sorted_group_importance = self.groups_[np.argsort(self.distances_)[::-1]]
